Advisor Chat - Send Advisor Chat Message
Send an advisor chat message.
Sends a message to the advisor chat agent and returns the agent response. Supply the conversation ID returned by a previous turn to continue a multi-turn conversation.
POST https://api.powerplatform.com/analytics/advisor/chat/messages?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| message | True |
string |
The user message to send to the advisor chat agent |
| conversationId |
string |
The conversation ID for multi-turn chat. Omit to start a new conversation |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
|
| 429 Too Many Requests |
Too Many Requests |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Advisor |
The request to send a message to the advisor chat agent |
|
Advisor |
The response from the advisor chat agent |
AdvisorChatMessageRequest
The request to send a message to the advisor chat agent
| Name | Type | Description |
|---|---|---|
| conversationId |
string |
The conversation ID for multi-turn chat. Omit to start a new conversation |
| message |
string |
The user message to send to the advisor chat agent |
AdvisorChatMessageResponse
The response from the advisor chat agent
| Name | Type | Description |
|---|---|---|
| conversationId |
string |
The conversation ID to supply on the next turn to continue the conversation |
| executionTimeMs |
integer (int64) |
The time taken to produce the response, in milliseconds |
| message |
string |
The agent response message |
| role |
string |
The role of the message author, always 'assistant' |